docs

# TextSourceSerializer

object TextSourceSerializer : TypedSerializer< TextSource >
Content copied to clipboard

## Functions

deserialize
Link copied to clipboard
open override fun deserialize (decoder: Decoder): TextSource
Content copied to clipboard
exclude
Link copied to clipboard
open override fun exclude (type: String )
Content copied to clipboard
include
Link copied to clipboard
open override fun < T : TextSource > include (type: String , serializer: KSerializer< T >)
Content copied to clipboard
serialize
Link copied to clipboard
open override fun serialize (encoder: Encoder, value: TextSource )
Content copied to clipboard

## Properties

descriptor
Link copied to clipboard
open override val descriptor : SerialDescriptor
Content copied to clipboard